Bug 248416 - databases/ruby-bdb: Fix build with upcoming databases/db18
Summary: databases/ruby-bdb: Fix build with upcoming databases/db18
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-08-01 17:39 UTC by Yasuhiro KIMURA
Modified: 2020-10-13 02:28 UTC (History)
2 users (show)

See Also:
linimon: maintainer-feedback? (knu)


Attachments
Patch file (1.65 KB, patch)
2020-08-01 17:39 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2020-08-01 17:39:17 UTC
Created attachment 216944 [details]
Patch file

Fix build with upcoming databases/db18.
Comment 1 Automation User 2020-08-16 01:19:42 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/178317596
Comment 2 commit-hook freebsd_committer 2020-10-13 02:25:32 UTC
A commit references this bug:

Author: meta
Date: Tue Oct 13 02:25:17 UTC 2020
New revision: 552172
URL: https://svnweb.freebsd.org/changeset/ports/552172

Log:
  databases/ruby-bdb: Fix build with upcoming databases/db18

  While here, return to pool due to more than 3 years of consecutive
  maintainer timeouts.

  PR:		248416
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Approved by:	maintainer timeout (> 2 months)

Changes:
  head/databases/ruby-bdb/Makefile
  head/databases/ruby-bdb/files/patch-src-extconf.rb
Comment 3 Koichiro Iwao freebsd_committer 2020-10-13 02:28:13 UTC
Committed, thanks!